import __fiber__
import unittest
from test import test_support


class TestConditionalExpression(unittest.TestCase):
    def test_condexpr_flat(self):
        x = 0
        y = 5
        z = 7
        self.assertEqual(x if y else z,0)
        self.assertEqual(y if x else z,7)

    def test_condexpr_nested(self):
        x = 0
        y = 5
        z = 7
        self.assertEqual(y if x else (y if x else z),7)
        self.assertEqual(x if (y if x else z) else z,0)


def test_main():
    test_support.run_unittest(TestConditionalExpression)

if __name__ == "__main__":
    test_main()

